aboutsummaryrefslogtreecommitdiffstats
path: root/testing/mozo/APKBUILD
diff options
context:
space:
mode:
authorAlan Lacerda <alacerda@alpinelinux.org>2015-07-16 18:23:37 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-07-17 11:40:11 +0000
commit4210b4fa7989b4797417d4689e462b8003fd1387 (patch)
tree7dae7c52fb58e90bcd101150097782ff028ea730 /testing/mozo/APKBUILD
parentd502222fc4c8a439ee6b6c134f8dd28030dfe13a (diff)
downloadaports-4210b4fa7989b4797417d4689e462b8003fd1387.tar.gz
aports-4210b4fa7989b4797417d4689e462b8003fd1387.tar.bz2
aports-4210b4fa7989b4797417d4689e462b8003fd1387.tar.xz
testing/mozo: new aport
Diffstat (limited to 'testing/mozo/APKBUILD')
-rw-r--r--testing/mozo/APKBUILD47
1 files changed, 47 insertions, 0 deletions
diff --git a/testing/mozo/APKBUILD b/testing/mozo/APKBUILD
new file mode 100644
index 0000000000..668b31817a
--- /dev/null
+++ b/testing/mozo/APKBUILD
@@ -0,0 +1,47 @@
+# Contributor: Alan Lacerda <alacerda@alpinelinux.org>
+# Maintainer: Alan Lacerda <alacerda@alpinelinux.org>
+pkgname=mozo
+pkgver=1.10.0
+pkgrel=0
+pkgdesc="A menu editor for MATE"
+url="https://github.com/mate-desktop/mozo"
+arch="noarch"
+license="GPLv2"
+depends=""
+depends_dev=""
+makedepends="$depends_dev intltool mate-menus-dev glib-dev py-gobject-dev"
+install=""
+subpackages="$pkgname-doc $pkgname-lang"
+source="http://pub.mate-desktop.org/releases/${pkgver%.*}/$pkgname-$pkgver.tar.xz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --sysconfdir=/etc \
+ --with-gtk=2.0 \
+ --prefix=/usr \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="${pkgdir}" install || return 1
+}
+
+md5sums="f4936d3f61402fa43746c09bda464a3e mozo-1.10.0.tar.xz"
+sha256sums="b84bd95da46bfda950a73eda1b47b4d7d1e4814aa2eba76a1d7e4fb07489118d mozo-1.10.0.tar.xz"
+sha512sums="99f76b57565fe505a52ffd835453ed5e32ae9a5dde14ff1e10d6a066e70841162c5b061293047a11db31de9d1404a1d768e663d05154b3d88735ba1def368f4d mozo-1.10.0.tar.xz"